import es
import cfglib
import playerlib

info = es.AddonInfo()
info.name = "YetAnotherNoBlock"
info.basename = "yetanothernoblock"
info.url = "http://addons.eventscripts.com/addons/view/YetAnotherNoBlock"
info.version = "1.24"
info.author = "LiQuid DiGitz"

config = cfglib.AddonCFG(es.getAddonPath(info.basename) + '/' + info.basename + '.cfg')

yanb_enable = config.cvar('yanb_enable', '1', 'Enable/Disable YetAnotherNoBlock')

yanb_advert = config.cvar('yanb_advert', '1', 'Enable/Disable advertisements')
yanb_advert_message = config.cvar('yanb_advert_message', '#green[#lightgreenY#greenet#lightgreenA#greennother#lightgreenN#greeno#lightgreenB#greenlock]#default is enabled', 'YetAnotherNoBlock advertisement')

yanb_hostages = config.cvar('yanb_hostages', '1', 'Enable/Disable NoBlock for hostages')
yanb_minimum_players = config.cvar('yanb_minimum_players', '0', 'Mimimum amount of players before NoBlock is enabled, 0 for always enabled')

config.write()

yanb_active = 0
yanb_collision = '5' # Solid by default

def load():
    config.execute()
  
def round_end(event):
    global yanb_active
    global yanb_collision
    if yanb_minimum_players == 0 or len(playerlib.getPlayerList('#human')) >= yanb_minimum_players:
        yanb_collision = '2'
    else:
        yanb_collision = '5'

def round_start(event):
    if yanb_enable == 1:
        if yanb_advert == 1:
            es.msg('#multi', str(yanb_advert_message))
        if yanb_hostages == 1 and yanb_enable == 1:
            for hostie in es.createentitylist('hostage_entity'):
                es.setindexprop(hostie, 'CBaseEntity.m_CollisionGroup', yanb_collision)

def player_spawn(player):
    if yanb_enable == 1:
        uid = player['userid']
        es.setplayerprop(uid, 'CBaseEntity.m_CollisionGroup', yanb_collision)